// Copyright 2014 The Chromium Authors. All rights reserved.
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.

#include "components/cloud_devices/common/cloud_devices_switches.h"

namespace switches {

// Enable Google Cloud Devices code.
const char kEnableCloudDevices[] = "enable-cloud-devices";

// The URL of the cloud print service to use, overrides any value stored in
// preferences, and the default. Only used if the cloud print service has been
// enabled. Used for testing.
const char kCloudPrintURL[] = "cloud-print-url";

// The XMPP endpoint the cloud print service will use. Only used if the cloud
// print service has been enabled. Used for testing.
const char kCloudPrintXmppEndpoint[] = "cloud-print-xmpp-endpoint";

// The URL of the cloud devices service to use.
const char kCloudDevicesURL[] = "cloud-devices-url";

}  // namespace switches
